
Ruby - Feature #7060

Broaden support for chmod

09/24/2012 03:10 AM - tonysidaway (Tony Sidaway)

Status: Open   

Priority: Normal   

Assignee:    

Target version:    

Description

Currently file permission bit features in all Ruby versions include only chmod and (if supported by the target platform's C library)

lchmod. lchmod is not supported by all platforms, but where it is not the Posix function fchmodat usually supplies similar functionality.

Suggest that this be included.

See http://pubs.opengroup.org/onlinepubs/9699919799/functions/chmod.html

History

#1 - 11/20/2012 11:29 PM - mame (Yusuke Endoh)

- Target version set to 2.6

#2 - 12/25/2017 06:15 PM - naruse (Yui NARUSE)

- Target version deleted (2.6)
